/* 
Theme Name: Valve Store 
Version: 1.0 
Description: Child theme for Woo. 
Author: Jacob Gold
Author URI: https://www.valverecords.com.au
Template: storefront 
*/

/* Globalish statements */
body {
  font-family: Lucida Grande, Lucida Sans, Verdana, Arial, sans-serif;
}

/* What we don't want to see */
header.entry-header, p.site-description {
  display: none !important;
}

/* Header styles*/
.site-header {
  padding-top: 1em;
}

li.current_page_item {
  font-style: italic;
}

/* Breadcrumbs */
.storefront-breadcrumb {
  margin-bottom: 0;
}
/* Footer */
.site-footer {
  padding: 0;
  background-color: #fff;
  text-align: center;
}

.site-info {
  padding: 1em 0;
}

/* Input objects */
a {
  color: #000;
}

a:hover {
  color: #444;
}

/* placeholder text for input fields */
input[type=text]::-moz-placeholder { font-style: italic; }
input[type=text]:-moz-placeholder { font-style: italic; }
input[type=text]::-webkit-input-placeholder { font-style: italic; }
input[type=text]::-ms-input-placeholder { font-style: italic; }

.search-field::-moz-placeholder { font-style: italic; }
.search-field:-moz-placeholder { font-style: italic; }
.search-field::-webkit-input-placeholder { font-style: italic; }
.search-field::-ms-input-placeholder { font-style: italic; }

/* Buttons */
a.button, 
button.button, 
input.button, 
.checkout-button.alt,
#review_form #submit {
  background-color: #f64f28;
  border: 4px solid #000;
  padding: 0.4em 1.81em;
  color: #fbc30a;
  text-transform: uppercase;
  text-shadow: -1px -1px 0 #000,
                1px -1px 0 #000,
               -1px 1px 0 #000,
                1px 1px 0 #000;
  transition: background-color 0.8s;
}

a.button:hover, 
button.button:hover, 
input.button:hover, 
.checkout-button.alt:hover,
#review_form #submit {
  background-color: #e04015;
  border: 4px solid #000;
  padding: 0.4em 1.81em;
  color: #fbc30a;
  text-shadow: -1px -1px 0 #000,
                1px -1px 0 #000,
               -1px 1px 0 #000,
                1px 1px 0 #000;
  transition: background-color 0.3s;
}

/* Minicart button */
.woocommerce-mini-cart__buttons .button.wc-forward,
.woocommerce-mini-cart__buttons .button.wc-forward:hover {
  text-shadow: 0 0 0 #000;
}

/* Price filter */
.widget_price_filter .ui-slider .ui-slider-range {
  background-color: #fbc30a;
  border: 1px solid #000;
}

.widget_price_filter .ui-slider .ui-slider-handle {
  background-color: #f64f28;
  width: 0.5em;
  border-radius: 0;
  border: 1px solid #000;
}

.widget_price_filter .ui-slider .ui-slider-handle:last-child {
  margin-left: -0.5em;
}
